List customer subscriptions
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "record_number" (number)
Not equal filter for "record_number" (number)
Greater than filter for "record_number" (number)
Greater than or equal filter for "record_number" (number)
Less than filter for "record_number" (number)
Less than or equal filter for "record_number" (number)
Exact match for "reference_code" (string)
Not equal filter for "reference_code" (string)
Contains filter for "reference_code"
Does not contain filter for "reference_code"
Filter "reference_code" where the value is null. Pass literal true (for example reference_code[is_null]=true).
trueFilter "reference_code" where the value is not null. Pass literal true (for example reference_code[is_not_null]=true).
trueExact match for "customer_id" (UUID)
uuidNot equal filter for "customer_id" (UUID)
uuidExact match for "status" (string)
Not equal filter for "status" (string)
Contains filter for "status"
Does not contain filter for "status"
Exact match for "billing_mode" (string)
Not equal filter for "billing_mode" (string)
Contains filter for "billing_mode"
Does not contain filter for "billing_mode"
Exact match for "billing_interval" (string)
Not equal filter for "billing_interval" (string)
Contains filter for "billing_interval"
Does not contain filter for "billing_interval"
Exact match for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "next_billing_date" (ISO 8601 date (YYYY-MM-DD))
Exact match for "financial_account_id" (UUID)
uuidNot equal filter for "financial_account_id" (UUID)
uuidExact match for "created_at" (ISO 8601 datetime)
Not equal filter for "created_at" (ISO 8601 datetime)
Greater than filter for "created_at" (ISO 8601 datetime)
Greater than or equal filter for "created_at" (ISO 8601 datetime)
Less than filter for "created_at" (ISO 8601 datetime)
Less than or equal filter for "created_at" (ISO 8601 datetime)
Exact match for "updated_at" (ISO 8601 datetime)
Not equal filter for "updated_at" (ISO 8601 datetime)
Greater than filter for "updated_at" (ISO 8601 datetime)
Greater than or equal filter for "updated_at" (ISO 8601 datetime)
Less than filter for "updated_at" (ISO 8601 datetime)
Less than or equal filter for "updated_at" (ISO 8601 datetime)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/customer-subscriptions"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"record_number": 0,
"customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
"financial_account_id": "12004dd2-b67b-4561-b5c8-278b86c292fd",
"financial_category_id": "a6b66ee2-6cb9-4e40-8c14-5161236f36c0",
"reference_code": "string",
"status": "string",
"billing_mode": "string",
"billing_interval": "day",
"billing_interval_count": 0,
"billing_cycle_anchor": "2019-08-24",
"current_period_start": "2019-08-24",
"current_period_end": "2019-08-24",
"next_billing_date": "2019-08-24",
"trial_end": "2019-08-24",
"start_date": "2019-08-24",
"payment_terms_days": 0,
"cancel_at_period_end": true,
"canceled_at": "2019-08-24T14:15:22Z",
"paused_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"description": "string",
"notes": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
"subscription_plan_id": "0fcb3216-bef6-4343-b483-7a77bff76ad5",
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"item_description": "string",
"quantity": "string",
"unit_price": "string",
"discount_rate": "string",
"position": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
],
"latest_billing_cycle": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
"sequence": 0,
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"status": "string",
"amount": "string",
"sales_order_id": "5e95a238-d0d8-4280-92bc-08d83c9c12a6",
"receivable_id": "c5fdbd77-089d-4f8e-bf49-b02b6e7fc04a",
"external_invoice_id": "string",
"external_idempotency_key": "string",
"external_event_id": "string",
"billed_at": "2019-08-24T14:15:22Z",
"error_detail": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
